proc midi_clock "" {
	upvar midi_bpm bpm ;# bpm refers to midi_bpm set from din-c++.
	foreach i {gl gr} {
		set_bpm $i $bpm ;# set the gaters bpm to midi bpm
	}
}

proc getval {min max amount} { ;# get interpolated value
	return [expr { (1 - $amount) * $min + $amount * $max }]
}

proc midi_cc {status axis value} { ;# for kaoss pad kp3
		if {$axis eq 12} { ;# guy moved in x axis
			set_bpm fm [getval 0 240 [expr $value / 127.0]] ;# set fm bpm from 0 (low x) to 240 (high x)
		} elseif 	{$axis eq 13} { ;# guy moved in y axis
			set_bpm am [getval 0 240 [expr $value / 127.0]] ;# set am bpm from 0 (low y) to 240 (high y)
		}
}
