set fn [file join $env(HOME) .din settings.tcl]
set f [open $fn w]
	set set_cmd {set_bpm set_style setv gaters set_delay}
	set get_cmd {get_bpm get_style getv gaters get_delay}
	set runs { {fm am gl gr os} {fm am gl gr} {amd fmd} {gl gr} {left right}}
	set ncmds [llength $set_cmd]
	for {set i 0} {$i < $ncmds} {incr i} {
		set run [lindex $runs $i]
		foreach j $run {
			set setj [lindex $set_cmd $i]
			set getj [lindex $get_cmd $i]
			set str "$setj $j [$getj $j]"
			puts $f $str
		}
	}
	puts $f "key [getv key]"
	for {set i 1; set j [get_curve_editor n]} {$i <= $j} {incr i} {
		puts $f "set_curve_editor [get_curve_editor $i] $i"
	}
close $f
return "saved settings"
